<HTML>
<HEAD>
<!-- This HTML file has been created by texi2html 1.54
     from builder.texi on 28 April 1999 -->

<TITLE>The Builder Library - Control flow</TITLE>
<link href="builder_18.html" rel=Next>
<link href="builder_16.html" rel=Previous>
<link href="builder_toc.html" rel=ToC>

</HEAD>
<BODY>
<p>Go to the <A HREF="builder_1.html">first</A>, <A HREF="builder_16.html">previous</A>, <A HREF="builder_18.html">next</A>, <A HREF="builder_47.html">last</A> section, <A HREF="builder_toc.html">table of contents</A>.
<P><HR><P>


<H1><A NAME="SEC45" HREF="builder_toc.html#TOC45">Creating Code with Control Flow</A></H1>
<P>
<A NAME="IDX114"></A>
<A NAME="IDX115"></A>
<A NAME="IDX116"></A>
<A NAME="IDX117"></A>

</P>
<P>
Many structured and unstructured control flow constructs such as FOR,
WHILE and DO loops, IF conditionals and RETURN and GOTO instructions can
be used within the builder.  Since there is no mechanism in C++ to
customize any of these operators, they are implemented as static
functions within the <CODE>block</CODE> class.  See section <A HREF="builder_38.html#SEC71">Structured and Unstructured Control Flow</A> for
a detailed list of functions available in the builder.

</P>

<UL>
<LI><A HREF="builder_18.html#SEC46">FOR Loops</A>: Creating FOR loops
<LI><A HREF="builder_19.html#SEC47">WHILE and DO Loops</A>: Create WHILE and DO loops
<LI><A HREF="builder_20.html#SEC48">Conditionals</A>: Creating IFs
<LI><A HREF="builder_21.html#SEC49">Returning</A>: Returning from a function
<LI><A HREF="builder_22.html#SEC50">Unstructured control flow</A>: Gotos and labels
<LI><A HREF="builder_23.html#SEC51">Control flow examples</A>: Examples
</UL>

<P><HR><P>
<p>Go to the <A HREF="builder_1.html">first</A>, <A HREF="builder_16.html">previous</A>, <A HREF="builder_18.html">next</A>, <A HREF="builder_47.html">last</A> section, <A HREF="builder_toc.html">table of contents</A>.
</BODY>
</HTML>
